#include <iostream>
#include <cmath>

using namespace std;

// Klasa tacka u ravni
struct tacka {
  int x, y;
};

// Klasa linija u ravni
class linija {
public:
  // Difoltni konstruktor
  linija() {
   t1.x = t1.y = 0;
   t2.x = t2.y = 0;  
  }  
  // Konstruktor 1
  linija(tacka tt1, tacka tt2) {
    t1 = tt1;
    t2 = tt2;
  }
  // Konstruktor 2
  linija(tacka *pt1, tacka *pt2) {
    t1 = *pt1;
    t2 = *pt2;
  }
  // Duzina linije
  void crtaj() {
    cout << "<text x=\"" << t1.x << "\" y=\"" << t1.y << "\" fill=\"red\">LINIJA</text>";
    cout << "<line x1=\"" << t1.x << "\" y1=\"" << t1.y << "\" x2=\"" << t2.x << "\" y2=\"" << t2.y << "\" style=\"stroke:blue\"/>" << endl;
  }
  tacka t1, t2;
};

int main() {
  // Otvaramo SVG datoteku
  cout << "<svg xmlns=\"http://www.w3.org/2000/svg\" version=\"1.1\">" << endl;
  
  tacka t1, t2;
  t1.x = 50; t1.y = 50;
  t2.x = 500; t2.y = 50;
  
  // Pozivamo difoltni konstruktor
  linija lin1;
  lin1.t1 = t1;
  lin1.t2 = t2;
  // Iscrtavamo liniju
  lin1.crtaj();

  tacka t3, t4;
  t3.x = 500; t3.y = 50;
  t4.x = 500; t4.y = 450;
  
  // Pozivamo konstruktor 1
  linija lin2(t3,t4);
  // Iscrtavamo liniju
  lin2.crtaj();
  
  tacka t5, t6;
  t5.x = 500; t5.y = 450;
  t6.x = 50; t6.y = 450;
  
  // Pozivamo konstruktor 2
  linija *lin3 = new linija(&t5,&t6);
  // Iscrtavamo liniju
  lin3->crtaj();
  
  // Zatvaramo SVG datoteku
  cout << "</svg>" << endl;

  // Oslobadamo memoriju
  delete lin3;
  
  return 0;
};
